﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Push;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Push
{
    /// <summary>
    /// 推送消息
    /// </summary>
    public class Message : CreationEntity
    {
        public EPushBusiness PushBusiness { get; set; }

        /// <summary>
        /// 外部业务唯一编号
        /// </summary>
        public string ExternalId { get; set; }

        /// <summary>
        /// 推送平台
        /// </summary>
        public EPushPlatform PushPlatform { get; set; }

        /// <summary>
        /// 推送状态
        /// </summary>
        public EPushStatus Status { get; set; }

        /// <summary>
        /// 模板
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? Template { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}
